<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: IOFormatInfo Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structarm__compute_1_1_i_o_format_info.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">IOFormatInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>IO formatting information class.  
 <a href="structarm__compute_1_1_i_o_format_info.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_types_8h_source.xhtml">Types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a36c28b28da4e04d698d6b598fb1eaca6"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6">PrecisionType</a> { <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6a7a1920d61156abc05a60135aefe8bc67">Default</a>, 
<a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6a90589c47f06eb971d548591f23c285af">Custom</a>, 
<a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6abbd47109890259c0127154db1af26c75">Full</a>
 }<tr class="memdesc:a36c28b28da4e04d698d6b598fb1eaca6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Precision type used when printing floating point numbers.  <a href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a36c28b28da4e04d698d6b598fb1eaca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae283722f31a4c59039f9abd44f10dbd0"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0">PrintRegion</a> { <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0a3131a0d8b04c3dbc9119dc93a14bdbb9">ValidRegion</a>, 
<a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0a23bb2bd76e5604aace0bdaa7b279a8fd">NoPadding</a>, 
<a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0abbd47109890259c0127154db1af26c75">Full</a>
 }<tr class="memdesc:ae283722f31a4c59039f9abd44f10dbd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specifies the area to be printed, used by <a class="el" href="classarm__compute_1_1_tensor.xhtml" title="Basic implementation of the tensor interface. ">Tensor</a> objects.  <a href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ae283722f31a4c59039f9abd44f10dbd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afc22bda96f8024656055390cc5f780f0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#afc22bda96f8024656055390cc5f780f0">IOFormatInfo</a> (<a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0">PrintRegion</a> <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a3e3b8af91d2afbfeed14560f2070fd50">print_region</a>=<a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0a3131a0d8b04c3dbc9119dc93a14bdbb9">PrintRegion::ValidRegion</a>, <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6">PrecisionType</a> <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ad53ff460a7430f45c22b27aad707e41f">precision_type</a>=<a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6a7a1920d61156abc05a60135aefe8bc67">PrecisionType::Default</a>, unsigned int <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a1fba9343eade93326cb985cfcb6de487">precision</a>=10, bool <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a1d81fe110d5dcac79dd73a532015bb94">align_columns</a>=true, std::string <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a38c5b617ead74af00cc7957553bd0d66">element_delim</a>=&quot; &quot;, std::string <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ab1a3e6cb2768124a6853f52bd0e10596">row_delim</a>=&quot;\n&quot;)</td></tr>
<tr class="separator:afc22bda96f8024656055390cc5f780f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a3e3b8af91d2afbfeed14560f2070fd50"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0">PrintRegion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a3e3b8af91d2afbfeed14560f2070fd50">print_region</a></td></tr>
<tr class="separator:a3e3b8af91d2afbfeed14560f2070fd50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad53ff460a7430f45c22b27aad707e41f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6">PrecisionType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ad53ff460a7430f45c22b27aad707e41f">precision_type</a></td></tr>
<tr class="separator:ad53ff460a7430f45c22b27aad707e41f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fba9343eade93326cb985cfcb6de487"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a1fba9343eade93326cb985cfcb6de487">precision</a></td></tr>
<tr class="separator:a1fba9343eade93326cb985cfcb6de487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38c5b617ead74af00cc7957553bd0d66"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a38c5b617ead74af00cc7957553bd0d66">element_delim</a></td></tr>
<tr class="separator:a38c5b617ead74af00cc7957553bd0d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3e6cb2768124a6853f52bd0e10596"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ab1a3e6cb2768124a6853f52bd0e10596">row_delim</a></td></tr>
<tr class="separator:ab1a3e6cb2768124a6853f52bd0e10596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d81fe110d5dcac79dd73a532015bb94"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a1d81fe110d5dcac79dd73a532015bb94">align_columns</a></td></tr>
<tr class="separator:a1d81fe110d5dcac79dd73a532015bb94"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>IO formatting information class. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00534">534</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a36c28b28da4e04d698d6b598fb1eaca6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6">PrecisionType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Precision type used when printing floating point numbers. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a36c28b28da4e04d698d6b598fb1eaca6a7a1920d61156abc05a60135aefe8bc67"></a>Default&#160;</td><td class="fielddoc">
<p>Default precision to the one that the current stream has. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a36c28b28da4e04d698d6b598fb1eaca6a90589c47f06eb971d548591f23c285af"></a>Custom&#160;</td><td class="fielddoc">
<p>Custom precision specified by the user using the precision parameter. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a36c28b28da4e04d698d6b598fb1eaca6abbd47109890259c0127154db1af26c75"></a>Full&#160;</td><td class="fielddoc">
<p>The maximum precision of the floating point representation. </p>
</td></tr>
</table>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00537">537</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160;    {</div><div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;        Default, </div><div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160;        Custom,  </div><div class="line"><a name="l00541"></a><span class="lineno">  541</span>&#160;        Full     </div><div class="line"><a name="l00542"></a><span class="lineno">  542</span>&#160;    };</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ae283722f31a4c59039f9abd44f10dbd0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0">PrintRegion</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Specifies the area to be printed, used by <a class="el" href="classarm__compute_1_1_tensor.xhtml" title="Basic implementation of the tensor interface. ">Tensor</a> objects. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ae283722f31a4c59039f9abd44f10dbd0a3131a0d8b04c3dbc9119dc93a14bdbb9"></a>ValidRegion&#160;</td><td class="fielddoc">
<p>Prints the valid region of the <a class="el" href="classarm__compute_1_1_tensor.xhtml" title="Basic implementation of the tensor interface. ">Tensor</a> object. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae283722f31a4c59039f9abd44f10dbd0a23bb2bd76e5604aace0bdaa7b279a8fd"></a>NoPadding&#160;</td><td class="fielddoc">
<p>Prints the <a class="el" href="classarm__compute_1_1_tensor.xhtml" title="Basic implementation of the tensor interface. ">Tensor</a> object without the padding. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae283722f31a4c59039f9abd44f10dbd0abbd47109890259c0127154db1af26c75"></a>Full&#160;</td><td class="fielddoc">
<p>Print the tensor object including padding. </p>
</td></tr>
</table>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00545">545</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00546"></a><span class="lineno">  546</span>&#160;    {</div><div class="line"><a name="l00547"></a><span class="lineno">  547</span>&#160;        ValidRegion, </div><div class="line"><a name="l00548"></a><span class="lineno">  548</span>&#160;        NoPadding,   </div><div class="line"><a name="l00549"></a><span class="lineno">  549</span>&#160;        Full         </div><div class="line"><a name="l00550"></a><span class="lineno">  550</span>&#160;    };</div></div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="afc22bda96f8024656055390cc5f780f0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml">IOFormatInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0">PrintRegion</a>&#160;</td>
          <td class="paramname"><em>print_region</em> = <code><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0a3131a0d8b04c3dbc9119dc93a14bdbb9">PrintRegion::ValidRegion</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6">PrecisionType</a>&#160;</td>
          <td class="paramname"><em>precision_type</em> = <code><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6a7a1920d61156abc05a60135aefe8bc67">PrecisionType::Default</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>precision</em> = <code>10</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>align_columns</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>element_delim</em> = <code>&quot;&#160;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>row_delim</em> = <code>&quot;\n&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00552">552</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00558"></a><span class="lineno">  558</span>&#160;        : <a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#a3e3b8af91d2afbfeed14560f2070fd50">print_region</a>(<a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#a3e3b8af91d2afbfeed14560f2070fd50">print_region</a>),</div><div class="line"><a name="l00559"></a><span class="lineno">  559</span>&#160;          <a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#ad53ff460a7430f45c22b27aad707e41f">precision_type</a>(<a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#ad53ff460a7430f45c22b27aad707e41f">precision_type</a>),</div><div class="line"><a name="l00560"></a><span class="lineno">  560</span>&#160;          <a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#a1fba9343eade93326cb985cfcb6de487">precision</a>(<a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#a1fba9343eade93326cb985cfcb6de487">precision</a>),</div><div class="line"><a name="l00561"></a><span class="lineno">  561</span>&#160;          <a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#a38c5b617ead74af00cc7957553bd0d66">element_delim</a>(<a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#a38c5b617ead74af00cc7957553bd0d66">element_delim</a>),</div><div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;          <a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#ab1a3e6cb2768124a6853f52bd0e10596">row_delim</a>(<a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#ab1a3e6cb2768124a6853f52bd0e10596">row_delim</a>),</div><div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;          <a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#a1d81fe110d5dcac79dd73a532015bb94">align_columns</a>(<a class="code" href="structarm__compute_1_1_i_o_format_info.xhtml#a1d81fe110d5dcac79dd73a532015bb94">align_columns</a>)</div><div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;    {</div><div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;    }</div><div class="ttc" id="structarm__compute_1_1_i_o_format_info_xhtml_ad53ff460a7430f45c22b27aad707e41f"><div class="ttname"><a href="structarm__compute_1_1_i_o_format_info.xhtml#ad53ff460a7430f45c22b27aad707e41f">arm_compute::IOFormatInfo::precision_type</a></div><div class="ttdeci">PrecisionType precision_type</div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00568">Types.h:568</a></div></div>
<div class="ttc" id="structarm__compute_1_1_i_o_format_info_xhtml_a1fba9343eade93326cb985cfcb6de487"><div class="ttname"><a href="structarm__compute_1_1_i_o_format_info.xhtml#a1fba9343eade93326cb985cfcb6de487">arm_compute::IOFormatInfo::precision</a></div><div class="ttdeci">unsigned int precision</div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00569">Types.h:569</a></div></div>
<div class="ttc" id="structarm__compute_1_1_i_o_format_info_xhtml_a3e3b8af91d2afbfeed14560f2070fd50"><div class="ttname"><a href="structarm__compute_1_1_i_o_format_info.xhtml#a3e3b8af91d2afbfeed14560f2070fd50">arm_compute::IOFormatInfo::print_region</a></div><div class="ttdeci">PrintRegion print_region</div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00567">Types.h:567</a></div></div>
<div class="ttc" id="structarm__compute_1_1_i_o_format_info_xhtml_ab1a3e6cb2768124a6853f52bd0e10596"><div class="ttname"><a href="structarm__compute_1_1_i_o_format_info.xhtml#ab1a3e6cb2768124a6853f52bd0e10596">arm_compute::IOFormatInfo::row_delim</a></div><div class="ttdeci">std::string row_delim</div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00571">Types.h:571</a></div></div>
<div class="ttc" id="structarm__compute_1_1_i_o_format_info_xhtml_a1d81fe110d5dcac79dd73a532015bb94"><div class="ttname"><a href="structarm__compute_1_1_i_o_format_info.xhtml#a1d81fe110d5dcac79dd73a532015bb94">arm_compute::IOFormatInfo::align_columns</a></div><div class="ttdeci">bool align_columns</div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00572">Types.h:572</a></div></div>
<div class="ttc" id="structarm__compute_1_1_i_o_format_info_xhtml_a38c5b617ead74af00cc7957553bd0d66"><div class="ttname"><a href="structarm__compute_1_1_i_o_format_info.xhtml#a38c5b617ead74af00cc7957553bd0d66">arm_compute::IOFormatInfo::element_delim</a></div><div class="ttdeci">std::string element_delim</div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00570">Types.h:570</a></div></div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a1d81fe110d5dcac79dd73a532015bb94"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool align_columns</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00572">572</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="a38c5b617ead74af00cc7957553bd0d66"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string element_delim</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00570">570</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1fba9343eade93326cb985cfcb6de487"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int precision</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00569">569</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad53ff460a7430f45c22b27aad707e41f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a36c28b28da4e04d698d6b598fb1eaca6">PrecisionType</a> precision_type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00568">568</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3e3b8af91d2afbfeed14560f2070fd50"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#ae283722f31a4c59039f9abd44f10dbd0">PrintRegion</a> print_region</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00567">567</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1a3e6cb2768124a6853f52bd0e10596"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string row_delim</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00571">571</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_types_8h_source.xhtml">Types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml">IOFormatInfo</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
